# osInfo Struct Reference

`#include <sched.h>`

## Data Fields

uInt32 | controlKeys
char | cwd [1024]
char * | stdin
uInt32 | stdinSize
uInt8 | timer
bool | v86If
uInt8 | v86Task
uInt32 | vmStart

## Detailed Description

Definition at line 43 of file sched.h.

## Field Documentation

uInt32 osInfo::controlKeys

Definition at line 49 of file sched.h.

char osInfo::cwd[1024]

Definition at line 51 of file sched.h.

Referenced by fork_copyProcess(), sysChDir(), sysGetCwd(), and sysMkDir().

char* osInfo::stdin

Definition at line 50 of file sched.h.

uInt32 osInfo::stdinSize

Definition at line 48 of file sched.h.

uInt8 osInfo::timer

Definition at line 44 of file sched.h.

Referenced by _int13().

bool osInfo::v86If

Definition at line 46 of file sched.h.

Referenced by _int13().

uInt8 osInfo::v86Task

Definition at line 45 of file sched.h.

Referenced by biosCall().

uInt32 osInfo::vmStart

Definition at line 47 of file sched.h.

Referenced by execFile(), execThread(), fork_copyProcess(), sys_exec(), sysExec(), vmmGetFreeVirtualPage(), and vmmMapFromTask().

The documentation for this struct was generated from the following file:

- src/sys/include/ubixos/sched.h